Atom feed of this document
 

 Delete Attachment from Port

Verb URI Description
DELETE /tenants/tenant-id/networks/network-id/ports/port-id/attachment Removes the attachment currently plugged into the port identified by port-id.

Normal Response Code(s): 204

Error Response Code(s): Unauthorized (401), Forbidden (403), NetworkNotFound (420), PortNotFound (430)

This operation removes the specified attachment from the port specified in the request URI.

If no attachment is currently plugged into the port, this operation has no effect.

This operation does not require a request body.

 

Example 4.33. Delete Attachment Request (XML)

Request:

DELETE /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/b832be00-6553-4f69-af33-acd554e36d08/attachment.xml	                

Response:

No data is returned in the response body.


 

Example 4.34. Delete Attachment Request (JSON)

Request:

DELETE /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/b832be00-6553-4f69-af33-acd554e36d08/attachment.json	                

Response:

No data is returned in the response body.